VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | List of all members
Optional< T > Struct Template Reference

`#include <optional.h>`

## Public Member Functions
| Optional () noexcept
| Optional (const T &v) noexcept
| Optional (T &&v) noexcept
| Optional (Optional &&other) noexcept
Optional & | operator= (Optional &&other) noexcept
| operator bool () const noexcept
const T & | operator* () const noexcept
const T * | operator-> () const noexcept
T & | operator* () noexcept
T * | operator-> () noexcept
T && | value () noexcept
const T & | value () const noexcept
void | swap (T &other) noexcept

## Constructor & Destructor Documentation

Optional | ( |  | ) |
| inline noexcept

Optional | ( | const T & | v | ) |
| inline explicit noexcept

Optional | ( | T && | v | ) |
| inline noexcept

Optional | ( | Optional< T > && | other | ) |
| inline noexcept

## Member Function Documentation

Optional& operator= | ( | Optional< T > && | other | ) |
| inline noexcept

operator bool | ( |  | ) | const
| inline explicit noexcept

const T& operator* | ( |  | ) | const
| inline noexcept

const T* operator-> | ( |  | ) | const
| inline noexcept

T& operator* | ( |  | ) |
| inline noexcept

T* operator-> | ( |  | ) |
| inline noexcept

T&& value | ( |  | ) |
| inline noexcept

const T& value | ( |  | ) | const
| inline noexcept

void swap | ( | T & | other | ) |
| inline noexcept

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.